Skip to content

List all resource groups

Request

OPA roles:
  • resource_admin
  • delegated_resource_admin

Lists all resource groups available to the requesting user

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
order_bystring

The field to sort the resource groups. Supported values: name or id

for_policy_onlyboolean

Only list resource groups that this user may assign policies to

containsstring

Only list resource groups whose name contains this substring

countinteger, (int32)

The number of objects per page

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

prevboolean

The direction of paging

GET
/v1/teams/{team_name}/resource_groups
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups?order_by=string&for_policy_only=true&contains=string&count=0&descending=true&offset=string&prev=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(ListResourceGroup)
Response
{ "list": [ {}, {} ] }